# Signing & Verifying Files

Gpg Frontend offers a convenient and efficient method for file operations. The
concept of signing and verifying files is almost identical to text, with the key
difference being that the file operations' input and output can be binary.

## Introduction to File Extensions

For ASCII-formatted ciphertext, the filename suffix is usually "asc", and these
files can be opened directly with a text editor. However, if the ciphertext is
binary, its file extension will be "sig" or "gpg". Typically, binary ciphertext
files are smaller than ASCII-formatted ones.

Prior to v2.0.4, the ciphertext files generated by GpgFrontend were all in ASCII
format. But starting with v2.0.4, GpgFrontend defaults to generating
binary-formatted ciphertext files. You can modify this setting in the settings.

![image-20220112073548736](https://image.cdn.bktus.com/i/2023/11/16/980bff72-7271-b639-e63b-ff1d274edc95.webp)

## File Browser

You can open the file browser (Ctrl/Command + B) via the top menu file option.
Using the file browser, navigate to your working directory. Then, right-click
the file you wish to operate on, and select the desired operation from the
pop-up menu.

![image-20220112072034647](https://image.cdn.bktus.com/i/2023/11/16/6a137a63-ae76-d45c-b425-5c3e5961aa2d.webp)

Two control buttons are located at the top of the file tab. The one on the left
allows you to go up a level, and the one on the right enables you to enter or
refresh the corresponding path in the input box on the left.

On the far right is a button offering useful options, such as displaying system
files or hidden files.

![image-20220112072335503](https://image.cdn.bktus.com/i/2023/11/16/1cc208dc-75f7-6e1f-f802-149ed18095af.webp)

### Sign

Through the right-click menu, you can rapidly sign a file. This operation will
generate a file with a "sig" or "asc" suffix, which contains the signature
content. In this scenario, you need to pass both this file and the original file
to the other party to allow them to verify it.

![Peek 2022-01-12
07-39](https://image.cdn.bktus.com/i/2023/11/16/ae18811f-12f8-4059-e46f-831929e59414.gif)

### Verify

This operation requires you to select a file with a "gpg" suffix (this may be
invalid for binary file ciphertext) or a file with a "sig" suffix for
verification.

When selecting a file with the "sig" suffix, ensure that the source file is also
present in this directory. This implies that the source file's name is simply
missing a "sig" suffix.

![Peek 2022-01-12
07-40](https://image.cdn.bktus.com/i/2023/11/16/dbb4d69c-d1a8-d5dc-6422-1cf300bea533.gif)